Publicidad

martes, 24 de mayo de 2016

Trabajar con iReport y JDK 8 o 9 en Ubuntu 15.10 o Ubuntu 16.04

Instalar iReport con Ubuntu 15.10 o Ubuntu 16.04 y JDK Update 8 o 9



    Últimamente con cada nueva versión de Ubuntu y Java (JDK, JRE y JVM) viene una serie de problemas con nuestras herramientas de trabajo, un problema muy frecuente es no poder trabajar con iReport y Java Update 8 o 9, debido a que viene predefinido en las ultimas versiones de Linux, bueno me eh dado a la tarea de buscar una solución que permita trabajar el Sistema con esta versión de Java y poder trabajar al mismo tiempo nuestro iReport, antes que nada en nuestro Linux podemos tener una serie de diferentes versiones de Java (JDK o JRE).

La solucion es la siguiente:


  1. Instalar OpenJDK Update 7, para ello ejecutamos los siguientes comandos:
    • sudo add-apt-repository ppa:openjdk-r/ppa
    • sudo apt-get update
    • sudo apt-get install openjdk-7-jdk
  2. Podemos hacer una revisión de la versión que tenemos actualmente en el Sistema:
    • java -versión
  3. En Caso de que la instalación del update 7 de Java modificara la versión establecida por defecto en el Sistema, ejecutaremos:
    • sudo /usr/sbin/update-alternatives --config java
    • Seleccionamos la versión correcta.
  4. Solo falta editar el archivo de arranque llamado ireport, que se encuentra en nuestra carpeta de ejecución en mi caso "/home/german/iReport-3.7.6/bin/ireport", podemos abrirlo con gedit o cualquier otro editor y modificar lo siguiente:
    • Buscamos la linea  --jdkhome '"$jdkhome"'
    • Cambiamos por --jdkhome '"/usr/lib/jvm/java-7-openjdk-amd64"'
    • Guardamos
  5. Listo, volvemos a ejecutar nuestro Reporteador con el comando:
    • ./ireport o dando doble click y ejecutar.

1 comentario:

  1. excelente aporte en verdad muy muy bueno, gracias por la ayuda,
    Cambiamos por --jdkhome '"/usr/lib/jvm/java-7-openjdk-amd64"' me salvo la existencia

    ResponderEliminar